Bug 1175074 - (CVE-2020-11984) VUL-0: CVE-2020-11984: apache2: mod_proxy_uwsgi info disclosure and possible RCE
(CVE-2020-11984)
VUL-0: CVE-2020-11984: apache2: mod_proxy_uwsgi info disclosure and possible RCE
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/264868/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-10 15:03 UTC by Robert Frohl
Modified: 2022-01-05 12:35 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 2 Petr Gajdos 2020-08-11 12:43:25 UTC
mod_proxy_uwsgi.c exists from 2.4.30 on.

Will submit for 15sp2,15/apache2.
Comment 4 Petr Gajdos 2020-08-12 08:03:48 UTC
isc:home:pgajdos:apache-test:after looks good.

I believe all fixed.
Comment 5 Swamp Workflow Management 2020-08-25 16:16:05 UTC
SUSE-SU-2020:2311-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1174052,1175070,1175071,1175074
CVE References: CVE-2020-11984,CVE-2020-11993,CVE-2020-9490
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    apache2-2.4.43-3.5.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    apache2-2.4.43-3.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2020-08-26 19:22:38 UTC
SUSE-SU-2020:2344-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1175070,1175071,1175074
CVE References: CVE-2020-11984,CVE-2020-11993,CVE-2020-9490
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    apache2-2.4.33-3.33.1
SUSE Linux Enterprise Server 15-LTSS (src):    apache2-2.4.33-3.33.1
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    apache2-2.4.33-3.33.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    apache2-2.4.33-3.33.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    apache2-2.4.33-3.33.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Alexandros Toptsoglou 2020-08-27 13:20:01 UTC
Done
Comment 8 Swamp Workflow Management 2020-08-29 16:16:24 UTC
openSUSE-SU-2020:1285-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1174052,1175070,1175071,1175074
CVE References: CVE-2020-11984,CVE-2020-11993,CVE-2020-9490
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    apache2-2.4.43-lp152.2.3.1
Comment 9 Swamp Workflow Management 2020-08-30 10:17:03 UTC
openSUSE-SU-2020:1293-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1175070,1175071,1175074
CVE References: CVE-2020-11984,CVE-2020-11993,CVE-2020-9490
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    apache2-2.4.33-lp151.8.15.1